Package com.orchestranetworks.schema

# Interface ConstraintNomenclature

All Superinterfaces:
  `Constraint`, `JavaBeanVersion`

@Deprecated public interface ConstraintNomenclature extends Constraint
Deprecated.
Since `enumeration constraint` is more appropriate than this interface when there are many values in the enumeration or when display must be localized.
This interface specifies a nomenclature constraint that can be contextual and dynamic.

### Definition in the data model

The constraint must be declared under the element `xs:annotation/xs:appinfo/osd:otherFacets`:

>      <osd:constraintNomenclature class="com.foo.MyConstraintNomenclature" />

where `com.foo.MyConstraintNomenclature` is the fully qualified name of the class implementing this interface. It is also possible to set additional JavaBean properties:

>      <osd:constraintNomenclature class="com.foo.MyConstraintNomenclature">
>              <param1>...</param1>
>              <param2>...</param2>
>      </osd:constraintNomenclature>

where `param1` and `param2` are JavaBean properties of the class specified.

For more information, see the JavaBean specification.

### Life cycle

See `Constraint` life cycle.

See Also:
  - `ConstraintEnumeration`
  - `ConstraintOnNull`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Nomenclature`
  `getNomenclature(ValueContext aContext)`
  Deprecated.
  Returns a sequence of value-label pairs, where the values correspond to the underlying enumeration of this constraint.

  ### Methods inherited from interface com.orchestranetworks.schema.Constraint

  `checkOccurrence, setup, toUserDocumentation`

  ### Methods inherited from interface com.orchestranetworks.schema.JavaBeanVersion

  `getBeanVersion`

- ## Method Details

  - ### getNomenclature

    Nomenclature getNomenclature(ValueContext aContext) throws InvalidSchemaException
    Deprecated.
    Returns a sequence of value-label pairs, where the values correspond to the underlying enumeration of this constraint.
    Throws:
      `InvalidSchemaException` - if a dynamic condition in the data model prevents the execution of this method.